Subject: bug#56444: closed (Re: [EXT] Re: bug#56444: Gitolite home directory permissions)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Aug 2022 16:41:02 +0000

Your bug report

#56444: Gitolite home directory permissions

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56444: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56444
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [EXT] Re: bug#56444: Gitolite home directory permissions
From: "Thompson, David" <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], [email-masked], Maxime Devos <[email-masked]>
Date: Tue, 30 Aug 2022 12:39:47 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo,

On Tue, Aug 30, 2022 at 11:20 AM Ludovic Courtès <[email-masked]> wrote:

> Hi there!
>
> Please let’s avoid guessing each other’s willingness to do one thing or
> another.
>
> I agree with David that we should accept simple local fixes like this
> one, while keeping the “better solution” in sight.  It’s a tradeoff, and
> the goal is to make sure we can all move forward.
>
> So I’m all for merging this Gitolite activation patch that David posted
> right away; I think you can go ahead, David.
>
> Adding ‘home-permission’ to <user-account> as Maxime suggested also
> sounds like a welcome improvement to me, but I think it’s fine to do
> that separately.
>

Patch pushed.

I will follow up with a new bug report (and a patch later when I have some
time to actually write code) to capture the improvements to <user-account>
so we can discuss any potential issues or gotchas that might come as a
result.

Thanks,

- Dave

Subject: Gitolite home directory permissions
From: Evgeny Pisemsky <[email-masked]>
To: [email-masked]
Date: Fri, 08 Jul 2022 00:35:10 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

  Hello!

  I wanted to serve public repositories from gitolite using git-daemon.

  I tried the following configuration of services:

  ┌────
  │ (define git-daemon
  │   (git-daemon-service
  │    #:config (git-daemon-configuration
  │              (base-path "/var/lib/gitolite/repositories"))))
  │ 
  │ (define gitolite
  │   (service gitolite-service-type
  │            (gitolite-configuration
  │             (admin-pubkey user-key)
  │             (group "git-daemon")
  │             (rc-file (gitolite-rc-file
  │                       (umask #o0027))))))
  └────

  However despite setting the umask the `/var/lib/gitolite' directory
  gets the `drwx------' permissions that makes it inaccessible for the
  git-daemon.

  If I set the group permissions manually and restart the git-daemon
  everything works fine until the next system reboot, which resets the
  permissions to the above value.